### Virtual Method

# Gio Mount get_default_location

#### Declaration

    GFile*
    get_default_location (
      GMount* mount
    )

#### Description

Gets the default location of `mount`. The default location of the given `mount` is a path that reflects the main entry point for the user (e.g. the home directory, or the root of the volume).

#### Return value

Type: `GFile`

A `GFile`. The returned object should be unreffed with `g_object_unref()` when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.